import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { AppTokenTemplatePositionFetcher } from '../../../position/template/app-token.template.position-fetcher';
import { GetDataPropsParams } from '../../../position/template/app-token.template.types';
import { OlympusContractFactory, OlympusSOhmV1Token } from '../contracts';
export declare class EthereumOlympusSOhmV1TokenFetcher extends AppTokenTemplatePositionFetcher<OlympusSOhmV1Token> {
    protected readonly appToolkit: IAppToolkit;
    protected readonly contractFactory: OlympusContractFactory;
    groupLabel: string;
    constructor(appToolkit: IAppToolkit, contractFactory: OlympusContractFactory);
    getContract(address: string): OlympusSOhmV1Token;
    getAddresses(): Promise<string[]>;
    getUnderlyingTokenDefinitions(): Promise<{
        address: string;
        network: import("../../../types").Network;
    }[]>;
    getPricePerShare(): Promise<number[]>;
    getLiquidity({ appToken, multicall }: GetDataPropsParams<OlympusSOhmV1Token>): Promise<number>;
    getReserves({ appToken, multicall }: GetDataPropsParams<OlympusSOhmV1Token>): Promise<number[]>;
}
